- entityDefinitions:
  - IDC_SourceDefinition: '{5d0b2f03-4886-4ba6-ac3c-8f9612963fa6}'
  
  - IDR_Instance__has__Source_Definition: '{57cbc351-0428-47e6-a6db-445e4503abab}'
  - IDR_Source_Definition__for__Instance: '{4a2fc1bf-29d5-4c39-8489-38ec25e6ae2b}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_SourceDefinition;'
    name: Source Definition
    index: 473
    attributes:
    - instance: '&IDA_DebugDefinitionFileName;'
    - instance: '&IDA_DebugDefinitionLineNumber;'
    - instance: '&IDA_DebugDefinitionColumnNumber;'

  - textAttribute: '&IDA_DebugDefinitionFileName;'
    name: 'Source Definition File Name'
  - textAttribute: '&IDA_DebugDefinitionLineNumber;'
    name: 'Source Definition Line Number'
  - textAttribute: '&IDA_DebugDefinitionColumnNumber;'
    name: 'Source Definition Column Number'


  - relationship: '&IDR_Instance__has__Source_Definition;'
    index: 865
    sourceClassId: '&IDC_Instance;'
    type: 'has'
    destinationClassId: '&IDC_SourceDefinition;'
    siblingRelationshipId: '&IDR_Source_Definition__for__Instance;'
    singular: yes

  - relationship: '&IDR_Source_Definition__for__Instance;'
    index: 866
    sourceClassId: '&IDC_SourceDefinition;'
    type: 'for'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__has__Source_Definition;'
    singular: no
